history: Get node history

API: openstreetmap.org:openstreetmap-api
Endpoint: /api/0.6/node/{id}/history
Response format: application/json
Charset: utf-8
Auth: unknown
Method: GET
Last Status: 200
Latency: 184ms

Description

Returns all versions of a node, sorted from oldest to newest

Parameters (1)

id (integer, path, required)

Node ID

Examples (3)

Get history for a small node ID curl
curl 'https://api.openstreetmap.org/api/0.6/node/1/history'
import requests

resp = requests.get("https://api.openstreetmap.org/api/0.6/node/1/history")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openstreetmap")
result = api.fetch("api/0.6/node/{id}/history")

for item in result:
    print(item)
const resp = await fetch("https://api.openstreetmap.org/api/0.6/node/1/history");
const data = await resp.json();
Get history for a typical OSM node curl
curl 'https://api.openstreetmap.org/api/0.6/node/358799623/history'
import requests

resp = requests.get("https://api.openstreetmap.org/api/0.6/node/358799623/history")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openstreetmap")
result = api.fetch("api/0.6/node/{id}/history")

for item in result:
    print(item)
const resp = await fetch("https://api.openstreetmap.org/api/0.6/node/358799623/history");
const data = await resp.json();
Get history for a large node ID curl
curl 'https://api.openstreetmap.org/api/0.6/node/1234567890/history'
import requests

resp = requests.get("https://api.openstreetmap.org/api/0.6/node/1234567890/history")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openstreetmap")
result = api.fetch("api/0.6/node/{id}/history")

for item in result:
    print(item)
const resp = await fetch("https://api.openstreetmap.org/api/0.6/node/1234567890/history");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:44:51.431502 200 184ms
2026-04-16 02:35:48.858595 200 191ms
2026-04-16 01:52:28.099274 200 208ms
2026-04-15 03:18:42.691846 200 233ms
2026-04-15 02:00:03.656338 200 196ms
2026-04-15 01:22:04.507234 200 221ms
2026-04-14 03:06:56.281782 200 186ms
2026-04-14 02:35:01.034649 200 229ms
2026-04-14 00:28:37.107855 200 220ms
2026-04-12 16:33:51.003356 200 201ms
2026-04-12 14:51:26.014954 200 186ms
2026-04-12 13:44:22.242079 200 239ms
2026-04-10 04:17:08.989570 200 222ms
2026-04-10 01:07:53.145977 200 772ms
2026-04-10 01:04:02.606244 200 167ms
2026-04-09 02:44:32.128743 200 220ms
2026-04-09 02:17:26.963057 200 175ms
2026-04-09 01:20:16.705706 200 195ms
2026-03-23 09:47:39.328325 200 146ms
2026-03-23 09:07:26.880125 200 163ms
2026-03-23 09:02:51.647261 200 136ms